%%%%%%
%%% projection onto C1
%%% 2011-07-11 Cheulsoon
%%%%%%

%%% input ;   ; u = [t;h] ; optimization variable
%%%             ; Ls ; number of taps for t
%%%             ; Lh ; number of taps for h

%%% output ;    ; uu ; 



%%% algorithm ; calculation



function [uu] = project_onto_C1(Ps, Ls , u)

uu = u ;

    t = u(1:Ls) ;
    t_norm_sqr =  sum(abs(t).^2) ; % vector L2 norm
    
    if  t_norm_sqr > Ps % project if necessary
        uu(1:Ls) = t/sqrt(t_norm_sqr) * sqrt(Ps) ;
    end


end


